pipeline-model-api : 1.2

Description

Model API for Declarative Pipeline

Summary

No other software package is referencing this project.
That doesn't mean anything. But in general references from other packages are a good sign.
This version number (1.2) doesn't fit semantic versioning 2.0.0!

Dependencies

4 Compile Dependencies
Dependency Badge

9 Test Dependencies
Required Newest
javax.servlet:javax.servlet-api 3.1.0 4.0.0
junit:junit 4.12 4.12
org.jenkins-ci.main:jenkins-test-harness 2.27 2.27
org.jenkins-ci.main:jenkins-war 2.7.1 2.79
org.jenkins-ci:test-annotations 1.2 1.2
org.mockito:mockito-core 2.2.5 2.10.0
org.slf4j:jcl-over-slf4j 1.7.25 1.7.25
org.slf4j:log4j-over-slf4j 1.7.25 1.7.25
org.slf4j:slf4j-jdk14 1.7.25 1.7.25

7 Provided Dependencies
Required Newest
com.google.code.findbugs:annotations 3.0.0 3.0.1u2
commons-logging:commons-logging 1.2 1.2
javax.servlet:servlet-api 2.4 3.0.1
log4j:log4j 1.2.17 1.2.17
net.jcip:jcip-annotations 1.0 1.0
org.codehaus.mojo:animal-sniffer-annotations 1.14 1.16
org.jenkins-ci.main:jenkins-core 2.7.1 2.79

Maven

pom.xml snippet for Maven
<dependency>
    <groupId>org.jenkinsci.plugins</groupId>
    <artifactId>pipeline-model-api</artifactId>
    <version>1.2</version>
</dependency>
Gradle
'org.jenkinsci.plugins:pipeline-model-api:1.2'
Ivy (Ant)
<dependency org="org.jenkinsci.plugins" name="pipeline-model-api" rev="1.2" />
SBT (Scala)
libraryDependencies += "org.jenkinsci.plugins" % "pipeline-model-api" % "1.2"
Leiningen (Clojure)
[org.jenkinsci.plugins/pipeline-model-api "1.2"]


1 Repository
https://repo.jenkins-ci.org/public/

Leave a comment

Sign in to leave a comment.